| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Static Public Member Functions | List of all members
Gaudi::Functional::details::filter_evtcontext_t< In > Struct Template Reference

`#include <GaudiAlg/FunctionalDetails.h>`

## Public Types
using | type = std::tuple< In... >

## Static Public Member Functions
template<typename Algorithm , typename Handles >
static auto | apply (const Algorithm &algo, Handles &handles)
template<typename Algorithm , typename Handles >
static auto | apply (const Algorithm &algo, const EventContext &ctx, Handles &handles)

## Detailed Description

### template<typename... In>
struct Gaudi::Functional::details::filter_evtcontext_t< In >

Definition at line 346 of file FunctionalDetails.h.

## Member Typedef Documentation

## ◆ type

template<typename... In>

using Gaudi::Functional::details::filter_evtcontext_t< In >::type = std::tuple<In...>

Definition at line 347 of file FunctionalDetails.h.

## Member Function Documentation

## ◆ apply() [1/2]

template<typename... In>
template<typename Algorithm , typename Handles >

static auto Gaudi::Functional::details::filter_evtcontext_t< In >::apply | ( | const Algorithm & | algo,
|  | Handles & | handles
| ) |  |
| inline static

Definition at line 353 of file FunctionalDetails.h.

353 {
354 return std::apply( [&]( const auto&... handle ) { return algo( details::deref( handle.get() )... ); }, handles );
355 }
Gaudi::Functional::details::deref
constexpr struct Gaudi::Functional::details::deref_t deref

## ◆ apply() [2/2]

template<typename... In>
template<typename Algorithm , typename Handles >

static auto Gaudi::Functional::details::filter_evtcontext_t< In >::apply | ( | const Algorithm & | algo,
|  | const EventContext & | ctx,
|  | Handles & | handles
| ) |  |
| inline static

Definition at line 357 of file FunctionalDetails.h.

357 {
358 return std::apply( [&]( const auto&... handle ) { return algo( get( handle, algo, ctx )... ); }, handles );
359 }
Gaudi::Functional::details::get
auto get(const Handle &handle, const Algo &, const EventContext &) -> decltype(details::deref(handle.get()))
Definition: FunctionalDetails.h:332

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/FunctionalDetails.h